root/trunk/freewrt/tools/gmake/Makefile.in

Revision 2225, 42.5 kB (checked in by tg, 5 years ago)

if a build system has a non-GNU make, or a too old gmake, just
build our own

tested on MirBSD odem.66h.42h.de 10 Kv#10n11-20070318 GENERIC#1014 i386
without gmake installed

if this is not working for you for the one or other reason,
please drop me a private mail with a detailled error description.

this procedure was explicitly ok'd by wbx@

Line 
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # This is a -*-Makefile-*-, or close enough
18 #
19 # Copyright (C) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006
20 # Free Software Foundation, Inc.
21 # This file is part of GNU Make.
22 #
23 # GNU Make is free software; you can redistribute it and/or modify it under the
24 # terms of the GNU General Public License as published by the Free Software
25 # Foundation; either version 2, or (at your option) any later version.
26 #
27 # GNU Make is distributed in the hope that it will be useful, but WITHOUT ANY
28 # WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
29 # A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
30 #
31 # You should have received a copy of the GNU General Public License along with
32 # GNU Make; see the file COPYING.  If not, write to the Free Software
33 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
34
35
36 srcdir = @srcdir@
37 top_srcdir = @top_srcdir@
38 VPATH = @srcdir@
39 pkgdatadir = $(datadir)/@PACKAGE@
40 pkglibdir = $(libdir)/@PACKAGE@
41 pkgincludedir = $(includedir)/@PACKAGE@
42 top_builddir = .
43 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
44 INSTALL = @INSTALL@
45 install_sh_DATA = $(install_sh) -c -m 644
46 install_sh_PROGRAM = $(install_sh) -c
47 install_sh_SCRIPT = $(install_sh) -c
48 INSTALL_HEADER = $(INSTALL_DATA)
49 transform = $(program_transform_name)
50 NORMAL_INSTALL = :
51 PRE_INSTALL = :
52 POST_INSTALL = :
53 NORMAL_UNINSTALL = :
54 PRE_UNINSTALL = :
55 POST_UNINSTALL = :
56 build_triplet = @build@
57 host_triplet = @host@
58 ANSI2KNR = @ANSI2KNR@
59 bin_PROGRAMS = make$(EXEEXT)
60 # Only process if target is MS-Windows
61 @WINDOWSENV_TRUE@am__append_1 = $(W32LIB)
62 # Only process if target is MS-Windows
63 @WINDOWSENV_TRUE@am__append_2 = $(W32INC)
64 check_PROGRAMS = loadavg$(EXEEXT)
65 subdir = .
66 DIST_COMMON = README $(am__configure_deps) $(noinst_HEADERS) \
67         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
68         $(srcdir)/config.h.in $(top_srcdir)/configure ABOUT-NLS \
69         AUTHORS COPYING ChangeLog INSTALL NEWS alloca.c ansi2knr.1 \
70         ansi2knr.c getloadavg.c
71 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
72 am__aclocal_m4_deps = $(top_srcdir)/config/dospaths.m4 \
73         $(top_srcdir)/config/gettext.m4 $(top_srcdir)/config/iconv.m4 \
74         $(top_srcdir)/config/lib-ld.m4 \
75         $(top_srcdir)/config/lib-link.m4 \
76         $(top_srcdir)/config/lib-prefix.m4 $(top_srcdir)/config/nls.m4 \
77         $(top_srcdir)/config/po.m4 $(top_srcdir)/config/progtest.m4 \
78         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.in
79 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
80         $(ACLOCAL_M4)
81 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
82  configure.lineno configure.status.lineno
83 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
84 CONFIG_HEADER = config.h
85 CONFIG_CLEAN_FILES =
86 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
87 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
88 PROGRAMS = $(bin_PROGRAMS)
89 nodist_loadavg_OBJECTS = loadavg-getloadavg$U.$(OBJEXT)
90 loadavg_OBJECTS = $(nodist_loadavg_OBJECTS)
91 loadavg_DEPENDENCIES =
92 am__make_SOURCES_DIST = ar.c arscan.c commands.c default.c dir.c \
93         expand.c file.c function.c getopt.c getopt1.c implicit.c job.c \
94         main.c misc.c read.c remake.c remote-stub.c remote-cstms.c \
95         rule.c signame.c strcache.c variable.c version.c vpath.c \
96         hash.c
97 @USE_CUSTOMS_FALSE@am__objects_1 = remote-stub$U.$(OBJEXT)
98 @USE_CUSTOMS_TRUE@am__objects_1 = remote-cstms$U.$(OBJEXT)
99 am_make_OBJECTS = ar$U.$(OBJEXT) arscan$U.$(OBJEXT) \
100         commands$U.$(OBJEXT) default$U.$(OBJEXT) dir$U.$(OBJEXT) \
101         expand$U.$(OBJEXT) file$U.$(OBJEXT) function$U.$(OBJEXT) \
102         getopt$U.$(OBJEXT) getopt1$U.$(OBJEXT) implicit$U.$(OBJEXT) \
103         job$U.$(OBJEXT) main$U.$(OBJEXT) misc$U.$(OBJEXT) \
104         read$U.$(OBJEXT) remake$U.$(OBJEXT) $(am__objects_1) \
105         rule$U.$(OBJEXT) signame$U.$(OBJEXT) strcache$U.$(OBJEXT) \
106         variable$U.$(OBJEXT) version$U.$(OBJEXT) vpath$U.$(OBJEXT) \
107         hash$U.$(OBJEXT)
108 make_OBJECTS = $(am_make_OBJECTS)
109 am__DEPENDENCIES_1 =
110 @WINDOWSENV_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
111 make_DEPENDENCIES = @LIBOBJS@ @ALLOCA@ $(am__DEPENDENCIES_1) \
112         $(am__DEPENDENCIES_2)
113 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
114 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
115 am__depfiles_maybe = depfiles
116 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
117         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
118 CCLD = $(CC)
119 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
120 SOURCES = $(nodist_loadavg_SOURCES) $(make_SOURCES) \
121         $(EXTRA_make_SOURCES)
122 DIST_SOURCES = $(am__make_SOURCES_DIST) $(EXTRA_make_SOURCES)
123 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
124         html-recursive info-recursive install-data-recursive \
125         install-exec-recursive install-info-recursive \
126         install-recursive installcheck-recursive installdirs-recursive \
127         pdf-recursive ps-recursive uninstall-info-recursive \
128         uninstall-recursive
129 man1dir = $(mandir)/man1
130 NROFF = nroff
131 MANS = $(man_MANS)
132 HEADERS = $(noinst_HEADERS)
133 ETAGS = etags
134 CTAGS = ctags
135 DIST_SUBDIRS = glob #config po doc w32
136 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
137 distdir = $(PACKAGE)-$(VERSION)
138 top_distdir = $(distdir)
139 am__remove_distdir = \
140   { test ! -d $(distdir) \
141     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
142          && rm -fr $(distdir); }; }
143 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
144 GZIP_ENV = --best
145 distuninstallcheck_listfiles = find . -type f -print
146 distcleancheck_listfiles = find . -type f -print
147 ACLOCAL = @ACLOCAL@
148 ALLOCA = @ALLOCA@
149 AMDEP_FALSE = @AMDEP_FALSE@
150 AMDEP_TRUE = @AMDEP_TRUE@
151 AMTAR = @AMTAR@
152 AR = @AR@
153 AUTOCONF = @AUTOCONF@
154 AUTOHEADER = @AUTOHEADER@
155 AUTOMAKE = @AUTOMAKE@
156 AWK = @AWK@
157 CC = @CC@
158 CCDEPMODE = @CCDEPMODE@
159 CFLAGS = @CFLAGS@
160 CPP = @CPP@
161 CPPFLAGS = @CPPFLAGS@
162 CYGPATH_W = @CYGPATH_W@
163 DEFS = -DLOCALEDIR=\"$(localedir)\" -DLIBDIR=\"$(libdir)\" -DINCLUDEDIR=\"$(includedir)\" @DEFS@
164 DEPDIR = @DEPDIR@
165 ECHO_C = @ECHO_C@
166 ECHO_N = @ECHO_N@
167 ECHO_T = @ECHO_T@
168 EGREP = @EGREP@
169 EXEEXT = @EXEEXT@
170 GETLOADAVG_LIBS = @GETLOADAVG_LIBS@
171 GLOBINC = @GLOBINC@
172 GLOBLIB = @GLOBLIB@
173 GMSGFMT = @GMSGFMT@
174 INSTALL_DATA = @INSTALL_DATA@
175 INSTALL_PROGRAM = @INSTALL_PROGRAM@
176 INSTALL_SCRIPT = @INSTALL_SCRIPT@
177 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
178 INTLLIBS = @INTLLIBS@
179 KMEM_GROUP = @KMEM_GROUP@
180 LDFLAGS = @LDFLAGS@
181 LIBICONV = @LIBICONV@
182 LIBINTL = @LIBINTL@
183 LIBOBJS = @LIBOBJS@
184 LIBS = @LIBS@
185 LTLIBICONV = @LTLIBICONV@
186 LTLIBINTL = @LTLIBINTL@
187 LTLIBOBJS = @LTLIBOBJS@
188 MAKEINFO = @MAKEINFO@
189 MAKE_HOST = @MAKE_HOST@
190 MKINSTALLDIRS = @MKINSTALLDIRS@
191 MSGFMT = @MSGFMT@
192 MSGMERGE = @MSGMERGE@
193 NEED_SETGID = @NEED_SETGID@
194 OBJEXT = @OBJEXT@
195 PACKAGE = @PACKAGE@
196 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
197 PACKAGE_NAME = @PACKAGE_NAME@
198 PACKAGE_STRING = @PACKAGE_STRING@
199 PACKAGE_TARNAME = @PACKAGE_TARNAME@
200 PACKAGE_VERSION = @PACKAGE_VERSION@
201 PATH_SEPARATOR = @PATH_SEPARATOR@
202 PERL = @PERL@
203 POSUB = @POSUB@
204 RANLIB = @RANLIB@
205 REMOTE = @REMOTE@
206 SET_MAKE = @SET_MAKE@
207 SHELL = @SHELL@
208 STRIP = @STRIP@
209 U = @U@
210 USE_CUSTOMS_FALSE = @USE_CUSTOMS_FALSE@
211 USE_CUSTOMS_TRUE = @USE_CUSTOMS_TRUE@
212 USE_LOCAL_GLOB_FALSE = @USE_LOCAL_GLOB_FALSE@
213 USE_LOCAL_GLOB_TRUE = @USE_LOCAL_GLOB_TRUE@
214 USE_NLS = @USE_NLS@
215 VERSION = @VERSION@
216 WINDOWSENV_FALSE = @WINDOWSENV_FALSE@
217 WINDOWSENV_TRUE = @WINDOWSENV_TRUE@
218 XGETTEXT = @XGETTEXT@
219 ac_ct_CC = @ac_ct_CC@
220 ac_ct_RANLIB = @ac_ct_RANLIB@
221 ac_ct_STRIP = @ac_ct_STRIP@
222 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
223 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
224 am__include = @am__include@
225 am__leading_dot = @am__leading_dot@
226 am__quote = @am__quote@
227 am__tar = @am__tar@
228 am__untar = @am__untar@
229 bindir = @bindir@
230 build = @build@
231 build_alias = @build_alias@
232 build_cpu = @build_cpu@
233 build_os = @build_os@
234 build_vendor = @build_vendor@
235 datadir = @datadir@
236 exec_prefix = @exec_prefix@
237 host = @host@
238 host_alias = @host_alias@
239 host_cpu = @host_cpu@
240 host_os = @host_os@
241 host_vendor = @host_vendor@
242 includedir = @includedir@
243 infodir = @infodir@
244 install_sh = @install_sh@
245 libdir = @libdir@
246 libexecdir = @libexecdir@
247 localstatedir = @localstatedir@
248 mandir = @mandir@
249 mkdir_p = @mkdir_p@
250 oldincludedir = @oldincludedir@
251 prefix = @prefix@
252 program_transform_name = @program_transform_name@
253 sbindir = @sbindir@
254 sharedstatedir = @sharedstatedir@
255 sysconfdir = @sysconfdir@
256 target_alias = @target_alias@
257 AUTOMAKE_OPTIONS = 1.8 dist-bzip2 check-news ansi2knr
258 ACLOCAL_AMFLAGS = -I config
259
260 # Only process if target is MS-Windows
261 @WINDOWSENV_TRUE@MAYBE_W32 = w32
262 @WINDOWSENV_TRUE@W32INC = -I $(top_srcdir)/w32/include
263 @WINDOWSENV_TRUE@W32LIB = -Lw32 -lw32
264 SUBDIRS = glob #config po doc $(MAYBE_W32)
265 @USE_CUSTOMS_FALSE@remote = remote-stub.c
266 @USE_CUSTOMS_TRUE@remote = remote-cstms.c
267 make_SOURCES = ar.c arscan.c commands.c default.c dir.c expand.c file.c \
268                 function.c getopt.c getopt1.c implicit.c job.c main.c \
269                 misc.c read.c remake.c $(remote) rule.c signame.c \
270                 strcache.c variable.c version.c vpath.c hash.c
271
272 EXTRA_make_SOURCES = vmsjobs.c remote-stub.c remote-cstms.c
273 noinst_HEADERS = commands.h dep.h filedef.h job.h make.h rule.h variable.h \
274                 debug.h getopt.h gettext.h hash.h
275
276 make_LDADD = @LIBOBJS@ @ALLOCA@ $(GLOBLIB) @GETLOADAVG_LIBS@ @LIBINTL@ \
277         $(am__append_1)
278 man_MANS = #make.1
279 AM_CPPFLAGS = $(GLOBINC) $(am__append_2)
280
281 # Extra stuff to include in the distribution.
282 EXTRA_DIST = README build.sh.in $(man_MANS) \
283                 README.customs README.OS2 \
284                 SCOPTIONS SMakefile \
285                 README.Amiga Makefile.ami config.ami make.lnk amiga.c amiga.h \
286                 README.DOS Makefile.DOS configure.bat dosbuild.bat configh.dos\
287                 README.W32 NMakefile config.h.W32 build_w32.bat subproc.bat \
288                 make_msvc_net2003.sln make_msvc_net2003.vcproj \
289                 readme.vms makefile.vms makefile.com config.h-vms \
290                 vmsdir.h vmsfunctions.c vmsify.c
291
292
293 # This is built during configure, but behind configure's back
294 DISTCLEANFILES = build.sh
295
296 # --------------- Internationalization Section
297 localedir = $(datadir)/locale
298
299 # --------------- Local INSTALL Section
300
301 # If necessary, change the gid of the app and turn on the setgid flag.
302 #
303
304 # Whether or not make needs to be installed setgid.
305 # The value should be either `true' or `false'.
306 # On many systems, the getloadavg function (used to implement the `-l'
307 # switch) will not work unless make is installed setgid kmem.
308 #
309 inst_setgid = @NEED_SETGID@
310
311 # Install make setgid to this group so it can get the load average.
312 #
313 inst_group = @KMEM_GROUP@
314 nodist_loadavg_SOURCES = getloadavg.c
315 loadavg_CPPFLAGS = -DTEST
316 loadavg_LDADD = @GETLOADAVG_LIBS@
317
318 # > check-regression
319 #
320 # Look for the make test suite, and run it if found and we can find perl.
321 # If we're building outside the tree, we use symlinks to make a local copy of
322 # the test suite.  Unfortunately the test suite itself isn't localizable yet.
323 #
324 MAKETESTFLAGS =
325 all: config.h
326         $(MAKE) $(AM_MAKEFLAGS) all-recursive
327
328 .SUFFIXES:
329 .SUFFIXES: .c .o .obj
330 am--refresh:
331         @:
332 .PRECIOUS: Makefile
333 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
334         @case '$?' in \
335           *config.status*) \
336             echo ' $(SHELL) ./config.status'; \
337             $(SHELL) ./config.status;; \
338           *) \
339             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
340             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
341         esac;
342
343 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
344         $(SHELL) ./config.status --recheck
345
346 config.h: stamp-h1
347         @if test ! -f $@; then \
348           rm -f stamp-h1; \
349           $(MAKE) stamp-h1; \
350         else :; fi
351
352 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
353         @rm -f stamp-h1
354         cd $(top_builddir) && $(SHELL) ./config.status config.h
355
356 distclean-hdr:
357         -rm -f config.h stamp-h1
358 install-binPROGRAMS: $(bin_PROGRAMS)
359         @$(NORMAL_INSTALL)
360         test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
361         @list='$(bin_PROGRAMS)'; for p in $$list; do \
362           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
363           if test -f $$p \
364           ; then \
365             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
366            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
367            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
368           else :; fi; \
369         done
370
371 uninstall-binPROGRAMS:
372         @$(NORMAL_UNINSTALL)
373         @list='$(bin_PROGRAMS)'; for p in $$list; do \
374           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
375           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
376           rm -f "$(DESTDIR)$(bindir)/$$f"; \
377         done
378
379 clean-binPROGRAMS:
380         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
381
382 clean-checkPROGRAMS:
383         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
384 loadavg$(EXEEXT): $(loadavg_OBJECTS) $(loadavg_DEPENDENCIES)
385         @rm -f loadavg$(EXEEXT)
386         $(LINK) $(loadavg_LDFLAGS) $(loadavg_OBJECTS) $(loadavg_LDADD) $(LIBS)
387 make$(EXEEXT): $(make_OBJECTS) $(make_DEPENDENCIES)
388         @rm -f make$(EXEEXT)
389         $(LINK) $(make_LDFLAGS) $(make_OBJECTS) $(make_LDADD) $(LIBS)
390
391 mostlyclean-compile:
392         -rm -f *.$(OBJEXT)
393
394 distclean-compile:
395         -rm -f *.tab.c
396 ansi2knr: ansi2knr.$(OBJEXT)
397         $(LINK) ansi2knr.$(OBJEXT) $(LIBS)
398 ansi2knr.$(OBJEXT): $(CONFIG_HEADER)
399
400 clean-krextra:
401         -rm -f ansi2knr
402
403 mostlyclean-kr:
404         -test "$U" = "" || rm -f *_.c
405
406 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/alloca.Po@am__quote@
407 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getloadavg.Po@am__quote@
408 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ar$U.Po@am__quote@
409 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arscan$U.Po@am__quote@
410 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/commands$U.Po@am__quote@
411 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/default$U.Po@am__quote@
412 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dir$U.Po@am__quote@
413 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expand$U.Po@am__quote@
414 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file$U.Po@am__quote@
415 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/function$U.Po@am__quote@
416 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt$U.Po@am__quote@
417 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt1$U.Po@am__quote@
418 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash$U.Po@am__quote@
419 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/implicit$U.Po@am__quote@
420 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/job$U.Po@am__quote@
421 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loadavg-getloadavg$U.Po@am__quote@
422 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main$U.Po@am__quote@
423 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/misc$U.Po@am__quote@
424 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read$U.Po@am__quote@
425 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remake$U.Po@am__quote@
426 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remote-cstms$U.Po@am__quote@
427 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remote-stub$U.Po@am__quote@
428 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rule$U.Po@am__quote@
429 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/signame$U.Po@am__quote@
430 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strcache$U.Po@am__quote@
431 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/variable$U.Po@am__quote@
432 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/version$U.Po@am__quote@
433 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vmsjobs$U.Po@am__quote@
434 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vpath$U.Po@am__quote@
435
436 .c.o:
437 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
438 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
439 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
440 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
441 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
442
443 .c.obj:
444 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
445 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
446 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
447 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
448 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
449
450 loadavg-getloadavg$U.o: getloadavg$U.c
451 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(loadavg_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT loadavg-getloadavg$U.o -MD -MP -MF "$(DEPDIR)/loadavg-getloadavg$U.Tpo" -c -o loadavg-getloadavg$U.o `test -f 'getloadavg$U.c' || echo '$(srcdir)/'`getloadavg$U.c; \
452 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/loadavg-getloadavg$U.Tpo" "$(DEPDIR)/loadavg-getloadavg$U.Po"; else rm -f "$(DEPDIR)/loadavg-getloadavg$U.Tpo"; exit 1; fi
453 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='getloadavg$U.c' object='loadavg-getloadavg$U.o' libtool=no @AMDEPBACKSLASH@
454 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
455 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(loadavg_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o loadavg-getloadavg$U.o `test -f 'getloadavg$U.c' || echo '$(srcdir)/'`getloadavg$U.c
456
457 loadavg-getloadavg$U.obj: getloadavg$U.c
458 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(loadavg_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT loadavg-getloadavg$U.obj -MD -MP -MF "$(DEPDIR)/loadavg-getloadavg$U.Tpo" -c -o loadavg-getloadavg$U.obj `if test -f 'getloadavg$U.c'; then $(CYGPATH_W) 'getloadavg$U.c'; else $(CYGPATH_W) '$(srcdir)/getloadavg$U.c'; fi`; \
459 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/loadavg-getloadavg$U.Tpo" "$(DEPDIR)/loadavg-getloadavg$U.Po"; else rm -f "$(DEPDIR)/loadavg-getloadavg$U.Tpo"; exit 1; fi
460 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='getloadavg$U.c' object='loadavg-getloadavg$U.obj' libtool=no @AMDEPBACKSLASH@
461 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
462 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(loadavg_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o loadavg-getloadavg$U.obj `if test -f 'getloadavg$U.c'; then $(CYGPATH_W) 'getloadavg$U.c'; else $(CYGPATH_W) '$(srcdir)/getloadavg$U.c'; fi`
463 alloca_.c: alloca.c $(ANSI2KNR)
464         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/alloca.c; then echo $(srcdir)/alloca.c; else echo alloca.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
465 ar_.c: ar.c $(ANSI2KNR)
466         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/ar.c; then echo $(srcdir)/ar.c; else echo ar.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
467 arscan_.c: arscan.c $(ANSI2KNR)
468         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/arscan.c; then echo $(srcdir)/arscan.c; else echo arscan.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
469 commands_.c: commands.c $(ANSI2KNR)
470         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/commands.c; then echo $(srcdir)/commands.c; else echo commands.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
471 default_.c: default.c $(ANSI2KNR)
472         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/default.c; then echo $(srcdir)/default.c; else echo default.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
473 dir_.c: dir.c $(ANSI2KNR)
474         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/dir.c; then echo $(srcdir)/dir.c; else echo dir.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
475 expand_.c: expand.c $(ANSI2KNR)
476         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/expand.c; then echo $(srcdir)/expand.c; else echo expand.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
477 file_.c: file.c $(ANSI2KNR)
478         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/file.c; then echo $(srcdir)/file.c; else echo file.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
479 function_.c: function.c $(ANSI2KNR)
480         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/function.c; then echo $(srcdir)/function.c; else echo function.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
481 getloadavg_.c: getloadavg.c $(ANSI2KNR)
482         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/getloadavg.c; then echo $(srcdir)/getloadavg.c; else echo getloadavg.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
483 getopt_.c: getopt.c $(ANSI2KNR)
484         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/getopt.c; then echo $(srcdir)/getopt.c; else echo getopt.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
485 getopt1_.c: getopt1.c $(ANSI2KNR)
486         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/getopt1.c; then echo $(srcdir)/getopt1.c; else echo getopt1.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
487 hash_.c: hash.c $(ANSI2KNR)
488         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/hash.c; then echo $(srcdir)/hash.c; else echo hash.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
489 implicit_.c: implicit.c $(ANSI2KNR)
490         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/implicit.c; then echo $(srcdir)/implicit.c; else echo implicit.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
491 job_.c: job.c $(ANSI2KNR)
492         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/job.c; then echo $(srcdir)/job.c; else echo job.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
493 main_.c: main.c $(ANSI2KNR)
494         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/main.c; then echo $(srcdir)/main.c; else echo main.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
495 misc_.c: misc.c $(ANSI2KNR)
496         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/misc.c; then echo $(srcdir)/misc.c; else echo misc.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
497 read_.c: read.c $(ANSI2KNR)
498         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/read.c; then echo $(srcdir)/read.c; else echo read.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
499 remake_.c: remake.c $(ANSI2KNR)
500         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/remake.c; then echo $(srcdir)/remake.c; else echo remake.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
501 remote-cstms_.c: remote-cstms.c $(ANSI2KNR)
502         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/remote-cstms.c; then echo $(srcdir)/remote-cstms.c; else echo remote-cstms.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
503 remote-stub_.c: remote-stub.c $(ANSI2KNR)
504         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/remote-stub.c; then echo $(srcdir)/remote-stub.c; else echo remote-stub.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
505 rule_.c: rule.c $(ANSI2KNR)
506         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/rule.c; then echo $(srcdir)/rule.c; else echo rule.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
507 signame_.c: signame.c $(ANSI2KNR)
508         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/signame.c; then echo $(srcdir)/signame.c; else echo signame.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
509 strcache_.c: strcache.c $(ANSI2KNR)
510         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/strcache.c; then echo $(srcdir)/strcache.c; else echo strcache.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
511 variable_.c: variable.c $(ANSI2KNR)
512         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/variable.c; then echo $(srcdir)/variable.c; else echo variable.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
513 version_.c: version.c $(ANSI2KNR)
514         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/version.c; then echo $(srcdir)/version.c; else echo version.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
515 vmsjobs_.c: vmsjobs.c $(ANSI2KNR)
516         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/vmsjobs.c; then echo $(srcdir)/vmsjobs.c; else echo vmsjobs.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
517 vpath_.c: vpath.c $(ANSI2KNR)
518         $(CPP) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) `if test -f $(srcdir)/vpath.c; then echo $(srcdir)/vpath.c; else echo vpath.c; fi` | sed 's/^# \([0-9]\)/#line \1/' | $(ANSI2KNR) > $@ || rm -f $@
519 alloca_.$(OBJEXT) ar_.$(OBJEXT) arscan_.$(OBJEXT) commands_.$(OBJEXT) \
520 default_.$(OBJEXT) dir_.$(OBJEXT) expand_.$(OBJEXT) file_.$(OBJEXT) \
521 function_.$(OBJEXT) getloadavg_.$(OBJEXT) getopt_.$(OBJEXT) \
522 getopt1_.$(OBJEXT) hash_.$(OBJEXT) implicit_.$(OBJEXT) job_.$(OBJEXT) \
523 main_.$(OBJEXT) misc_.$(OBJEXT) read_.$(OBJEXT) remake_.$(OBJEXT) \
524 remote-cstms_.$(OBJEXT) remote-stub_.$(OBJEXT) rule_.$(OBJEXT) \
525 signame_.$(OBJEXT) strcache_.$(OBJEXT) variable_.$(OBJEXT) \
526 version_.$(OBJEXT) vmsjobs_.$(OBJEXT) vpath_.$(OBJEXT) : $(ANSI2KNR)
527 uninstall-info-am:
528 install-man1: $(man1_MANS) $(man_MANS)
529         @$(NORMAL_INSTALL)
530         test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
531         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
532         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
533         for i in $$l2; do \
534           case "$$i" in \
535             *.1*) list="$$list $$i" ;; \
536           esac; \
537         done; \
538         for i in $$list; do \
539           if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
540           else file=$$i; fi; \
541           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
542           case "$$ext" in \
543             1*) ;; \
544             *) ext='1' ;; \
545           esac; \
546           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
547           inst=`echo $$inst | sed -e 's/^.*\///'`; \
548           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
549           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
550           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
551         done
552 uninstall-man1:
553         @$(NORMAL_UNINSTALL)
554         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
555         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
556         for i in $$l2; do \
557           case "$$i" in \
558             *.1*) list="$$list $$i" ;; \
559           esac; \
560         done; \
561         for i in $$list; do \
562           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
563           case "$$ext" in \
564             1*) ;; \
565             *) ext='1' ;; \
566           esac; \
567           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
568           inst=`echo $$inst | sed -e 's/^.*\///'`; \
569           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
570           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
571           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
572         done
573
574 # This directory's subdirectories are mostly independent; you can cd
575 # into them and run `make' without going through this Makefile.
576 # To change the values of `make' variables: instead of editing Makefiles,
577 # (1) if the variable is set in `config.status', edit `config.status'
578 #     (which will cause the Makefiles to be regenerated when you run `make');
579 # (2) otherwise, pass the desired values on the `make' command line.
580 $(RECURSIVE_TARGETS):
581         @failcom='exit 1'; \
582         for f in x $$MAKEFLAGS; do \
583           case $$f in \
584             *=* | --[!k]*);; \
585             *k*) failcom='fail=yes';; \
586           esac; \
587         done; \
588         dot_seen=no; \
589         target=`echo $@ | sed s/-recursive//`; \
590         list='$(SUBDIRS)'; for subdir in $$list; do \
591           echo "Making $$target in $$subdir"; \
592           if test "$$subdir" = "."; then \
593             dot_seen=yes; \
594             local_target="$$target-am"; \
595           else \
596             local_target="$$target"; \
597           fi; \
598           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
599           || eval $$failcom; \
600         done; \
601         if test "$$dot_seen" = "no"; then \
602           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
603         fi; test -z "$$fail"
604
605 mostlyclean-recursive clean-recursive distclean-recursive \
606 maintainer-clean-recursive:
607         @failcom='exit 1'; \
608         for f in x $$MAKEFLAGS; do \
609           case $$f in \
610             *=* | --[!k]*);; \
611             *k*) failcom='fail=yes';; \
612           esac; \
613         done; \
614         dot_seen=no; \
615         case "$@" in \
616           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
617           *) list='$(SUBDIRS)' ;; \
618         esac; \
619         rev=''; for subdir in $$list; do \
620           if test "$$subdir" = "."; then :; else \
621             rev="$$subdir $$rev"; \
622           fi; \
623         done; \
624         rev="$$rev ."; \
625         target=`echo $@ | sed s/-recursive//`; \
626         for subdir in $$rev; do \
627           echo "Making $$target in $$subdir"; \
628           if test "$$subdir" = "."; then \
629             local_target="$$target-am"; \
630           else \
631             local_target="$$target"; \
632           fi; \
633           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
634           || eval $$failcom; \
635         done && test -z "$$fail"
636 tags-recursive:
637         list='$(SUBDIRS)'; for subdir in $$list; do \
638           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
639         done
640 ctags-recursive:
641         list='$(SUBDIRS)'; for subdir in $$list; do \
642           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
643         done
644
645 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
646         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
647         unique=`for i in $$list; do \
648             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
649           done | \
650           $(AWK) '    { files[$$0] = 1; } \
651                END { for (i in files) print i; }'`; \
652         mkid -fID $$unique
653 tags: TAGS
654
655 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
656                 $(TAGS_FILES) $(LISP)
657         tags=; \
658         here=`pwd`; \
659         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
660           include_option=--etags-include; \
661           empty_fix=.; \
662         else \
663           include_option=--include; \
664           empty_fix=; \
665         fi; \
666         list='$(SUBDIRS)'; for subdir in $$list; do \
667           if test "$$subdir" = .; then :; else \
668             test ! -f $$subdir/TAGS || \
669               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
670           fi; \
671         done; \
672         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
673         unique=`for i in $$list; do \
674             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
675           done | \
676           $(AWK) '    { files[$$0] = 1; } \
677                END { for (i in files) print i; }'`; \
678         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
679           test -n "$$unique" || unique=$$empty_fix; \
680           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
681             $$tags $$unique; \
682         fi
683 ctags: CTAGS
684 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
685                 $(TAGS_FILES) $(LISP)
686         tags=; \
687         here=`pwd`; \
688         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
689         unique=`for i in $$list; do \
690             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
691           done | \
692           $(AWK) '    { files[$$0] = 1; } \
693                END { for (i in files) print i; }'`; \
694         test -z "$(CTAGS_ARGS)$$tags$$unique" \
695           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
696              $$tags $$unique
697
698 GTAGS:
699         here=`$(am__cd) $(top_builddir) && pwd` \
700           && cd $(top_srcdir) \
701           && gtags -i $(GTAGS_ARGS) $$here
702
703 distclean-tags:
704         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
705
706 distdir: $(DISTFILES)
707         @case `sed 15q $(srcdir)/NEWS` in \
708         *"$(VERSION)"*) : ;; \
709         *) \
710           echo "NEWS not updated; not releasing" 1>&2; \
711           exit 1;; \
712         esac
713         $(am__remove_distdir)
714         mkdir $(distdir)
715         $(mkdir_p) $(distdir)/config $(distdir)/po
716         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
717         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
718         list='$(DISTFILES)'; for file in $$list; do \
719           case $$file in \
720             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
721             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
722           esac; \
723           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
724           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
725           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
726             dir="/$$dir"; \
727             $(mkdir_p) "$(distdir)$$dir"; \
728           else \
729             dir=''; \
730           fi; \
731           if test -d $$d/$$file; then \
732             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
733               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
734             fi; \
735             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
736           else \
737             test -f $(distdir)/$$file \
738             || cp -p $$d/$$file $(distdir)/$$file \
739             || exit 1; \
740           fi; \
741         done
742         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
743           if test "$$subdir" = .; then :; else \
744             test -d "$(distdir)/$$subdir" \
745             || $(mkdir_p) "$(distdir)/$$subdir" \
746             || exit 1; \
747             distdir=`$(am__cd) $(distdir) && pwd`; \
748             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
749             (cd $$subdir && \
750               $(MAKE) $(AM_MAKEFLAGS) \
751                 top_distdir="$$top_distdir" \
752                 distdir="$$distdir/$$subdir" \
753                 distdir) \
754               || exit 1; \
755           fi; \
756         done
757         $(MAKE) $(AM_MAKEFLAGS) \
758           top_distdir="$(top_distdir)" distdir="$(distdir)" \
759           dist-hook
760         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
761           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
762           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
763           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
764         || chmod -R a+r $(distdir)
765 dist-gzip: distdir
766         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
767         $(am__remove_distdir)
768 dist-bzip2: distdir
769         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
770         $(am__remove_distdir)
771
772 dist-tarZ: distdir
773         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
774         $(am__remove_distdir)
775
776 dist-shar: distdir
777         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
778         $(am__remove_distdir)
779
780 dist-zip: distdir
781         -rm -f $(distdir).zip
782         zip -rq $(distdir).zip $(distdir)
783         $(am__remove_distdir)
784
785 dist dist-all: distdir
786         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
787         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
788         $(am__remove_distdir)
789
790 # This target untars the dist file and tries a VPATH configuration.  Then
791 # it guarantees that the distribution is self-contained by making another
792 # tarfile.
793 distcheck: dist
794         case '$(DIST_ARCHIVES)' in \
795         *.tar.gz*) \
796           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
797         *.tar.bz2*) \
798           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
799         *.tar.Z*) \
800           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
801         *.shar.gz*) \
802           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
803         *.zip*) \
804           unzip $(distdir).zip ;;\
805         esac
806         chmod -R a-w $(distdir); chmod a+w $(distdir)
807         mkdir $(distdir)/_build
808         mkdir $(distdir)/_inst
809         chmod a-w $(distdir)
810         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
811           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
812           && cd $(distdir)/_build \
813           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
814             $(DISTCHECK_CONFIGURE_FLAGS) \
815           && $(MAKE) $(AM_MAKEFLAGS) \
816           && $(MAKE) $(AM_MAKEFLAGS) dvi \
817           && $(MAKE) $(AM_MAKEFLAGS) check \
818           && $(MAKE) $(AM_MAKEFLAGS) install \
819           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
820           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
821           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
822                 distuninstallcheck \
823           && chmod -R a-w "$$dc_install_base" \
824           && ({ \
825                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
826                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
827                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
828                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
829                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
830               } || { rm -rf "$$dc_destdir"; exit 1; }) \
831           && rm -rf "$$dc_destdir" \
832           && $(MAKE) $(AM_MAKEFLAGS) dist \
833           && rm -rf $(DIST_ARCHIVES) \
834           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
835         $(am__remove_distdir)
836         @(echo "$(distdir) archives ready for distribution: "; \
837           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
838           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
839 distuninstallcheck:
840         @cd $(distuninstallcheck_dir) \
841         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
842            || { echo "ERROR: files left after uninstall:" ; \
843                 if test -n "$(DESTDIR)"; then \
844                   echo "  (check DESTDIR support)"; \
845                 fi ; \
846                 $(distuninstallcheck_listfiles) ; \
847                 exit 1; } >&2
848 distcleancheck: distclean
849         @if test '$(srcdir)' = . ; then \
850           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
851           exit 1 ; \
852         fi
853         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
854           || { echo "ERROR: files left in build directory after distclean:" ; \
855                $(distcleancheck_listfiles) ; \
856                exit 1; } >&2
857 check-am: all-am
858         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
859         $(MAKE) $(AM_MAKEFLAGS) check-local
860 check: check-recursive
861 all-am: Makefile $(ANSI2KNR) $(PROGRAMS) $(MANS) $(HEADERS) config.h
862 installdirs: installdirs-recursive
863 installdirs-am:
864         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
865           test -z "$$dir" || $(mkdir_p) "$$dir"; \
866         done
867 install: install-recursive
868 install-exec: install-exec-recursive
869 install-data: install-data-recursive
870 uninstall: uninstall-recursive
871
872 install-am: all-am
873         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
874
875 installcheck: installcheck-recursive
876 install-strip:
877         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
878           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
879           `test -z '$(STRIP)' || \
880             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
881 mostlyclean-generic:
882
883 clean-generic:
884
885 distclean-generic:
886         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
887         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
888
889 maintainer-clean-generic:
890         @echo "This command is intended for maintainers to use"
891         @echo "it deletes files that may require special tools to rebuild."
892 clean: clean-recursive
893
894 clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
895         clean-krextra mostlyclean-am
896
897 distclean: distclean-recursive
898         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
899         -rm -rf $(DEPDIR) ./$(DEPDIR)
900         -rm -f Makefile
901 distclean-am: clean-am distclean-compile distclean-generic \
902         distclean-hdr distclean-tags
903
904 dvi: dvi-recursive
905
906 dvi-am:
907
908 info: info-recursive
909
910 info-am:
911
912 install-data-am: install-man
913
914 install-exec-am: install-binPROGRAMS install-exec-local
915
916 install-info: install-info-recursive
917
918 install-man: install-man1
919
920 installcheck-am:
921
922 maintainer-clean: maintainer-clean-recursive
923         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
924         -rm -rf $(top_srcdir)/autom4te.cache
925         -rm -rf $(DEPDIR) ./$(DEPDIR)
926         -rm -f Makefile
927 maintainer-clean-am: distclean-am maintainer-clean-generic
928
929 mostlyclean: mostlyclean-recursive
930
931 mostlyclean-am: mostlyclean-compile mostlyclean-generic mostlyclean-kr
932
933 pdf: pdf-recursive
934
935 pdf-am:
936
937 ps: ps-recursive
938
939 ps-am:
940
941 uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
942
943 uninstall-info: uninstall-info-recursive
944
945 uninstall-man: uninstall-man1
946
947 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
948         check-am check-local clean clean-binPROGRAMS \
949         clean-checkPROGRAMS clean-generic clean-krextra \
950         clean-recursive ctags ctags-recursive dist dist-all dist-bzip2 \
951         dist-gzip dist-hook dist-shar dist-tarZ dist-zip distcheck \
952         distclean distclean-compile distclean-generic distclean-hdr \
953         distclean-recursive distclean-tags distcleancheck distdir \
954         distuninstallcheck dvi dvi-am html html-am info info-am \
955         install install-am install-binPROGRAMS install-data \
956         install-data-am install-exec install-exec-am \
957         install-exec-local install-info install-info-am install-man \
958         install-man1 install-strip installcheck installcheck-am \
959         installdirs installdirs-am maintainer-clean \
960         maintainer-clean-generic maintainer-clean-recursive \
961         mostlyclean mostlyclean-compile mostlyclean-generic \
962         mostlyclean-kr mostlyclean-recursive pdf pdf-am ps ps-am tags \
963         tags-recursive uninstall uninstall-am uninstall-binPROGRAMS \
964         uninstall-info-am uninstall-man uninstall-man1
965
966
967 # Forward targets
968
969 html:
970         cd doc && $(MAKE) $(AM_MAKEFLAGS) $@
971
972 .PHONY: html
973
974 install-exec-local:
975         @if $(inst_setgid); then \
976            app=$(DESTDIR)$(bindir)/`echo $(bin_PROGRAMS)|sed '$(transform)'`; \
977            if chgrp $(inst_group) $$app && chmod g+s $$app; then \
978              echo "chgrp $(inst_group) $$app && chmod g+s $$app"; \
979            else \
980              echo "$$app needs to be owned by group $(inst_group) and setgid;"; \
981              echo "otherwise the \`-l' option will probably not work."; \
982              echo "You may need special privileges to complete the installation"; \
983              echo "of $$app."; \
984            fi; \
985          else true; fi
986
987 # --------------- Local DIST Section
988
989 # Install the w32 and tests subdirectories
990 #
991 dist-hook:
992         (cd $(srcdir); \
993          sub=`find w32 tests -follow \( -name CVS -prune -o -name .cvsignore -o -name work -prune \) -o \( -name \*.orig -o -name \*.rej -o -name \*~ -prune \) -o -type f -print`; \
994          tar chf - $$sub) \
995         | (cd $(distdir); tar xfBp -)
996
997 # --------------- Local CHECK Section
998
999 check-local: check-regression check-loadavg
1000         @banner=" Regression PASSED: GNU Make $(VERSION) ($(MAKE_HOST)) built with $(CC) "; \
1001         dashes=`echo "$$banner" | sed s/./=/g`; \
1002         echo; \
1003         echo "$$dashes"; \
1004         echo "$$banner"; \
1005         echo "$$dashes"; \
1006         echo
1007
1008 .PHONY: check-loadavg check-regression
1009
1010 check-loadavg: loadavg$(EXEEXT)
1011         @echo The system uptime program believes the load average to be:
1012         -uptime
1013         @echo The GNU load average checking code thinks:
1014         -./loadavg$(EXEEXT)
1015
1016 check-regression:
1017         @if test -f "$(srcdir)/tests/run_make_tests"; then \
1018           if $(PERL) -v >/dev/null 2>&1; then \
1019             case `cd $(srcdir); pwd` in `pwd`) : ;; \
1020               *) test -d tests || mkdir tests; \
1021                  rm -f srctests; \
1022                  if ln -s "$(srcdir)/tests" srctests; then \
1023                    for f in run_make_tests run_make_tests.pl test_driver.pl scripts; do \
1024                      rm -f tests/$$f; ln -s ../srctests/$$f tests; \
1025                    done; fi ;; \
1026             esac; \
1027             echo "cd tests && $(PERL) ./run_make_tests.pl -make ../make$(EXEEXT) $(MAKETESTFLAGS)"; \
1028             cd tests && $(PERL) ./run_make_tests.pl -make ../make$(EXEEXT) $(MAKETESTFLAGS); \
1029           else \
1030             echo "Can't find a working Perl ($(PERL)); the test suite requires Perl."; \
1031           fi; \
1032          else \
1033           echo "Can't find the GNU Make test suite ($(srcdir)/tests)."; \
1034          fi
1035
1036 # --------------- Maintainer's Section
1037
1038 # Tell automake that I haven't forgotten about this file and it will be
1039 # created before we build a distribution (see maintMakefile in the CVS
1040 # distribution).
1041
1042 README:
1043
1044 @MAINT_MAKEFILE@
1045 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1046 # Otherwise a system limit (for SysV at least) may be exceeded.
1047 .NOEXPORT:
Note: See TracBrowser for help on using the browser.